package com.inspect.metadata.patrolpointmnt.mapper;

import com.inspect.metadata.patrolpointmnt.domain.BasedataPatrolType;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataPatrolTypeMapper {
    BasedataPatrolType selectBasedataPatrolTypeByPatrolTypeId(Long patrolTypeId);

    List<BasedataPatrolType> selectBasedataPatrolTypeList(BasedataPatrolType patrolType);

    int insertBasedataPatrolType(BasedataPatrolType patrolType);

    int updateBasedataPatrolType(BasedataPatrolType patrolType);

    int deleteBasedataPatrolTypeByPatrolTypeId(Long patrolTypeId);

    int deleteBasedataPatrolTypeByPatrolTypeIds(Long[] patrolTypeIds);
}
